Summary: LCD Front Panel Utility Programs 
Name: panel-utils 
Version: 4.4
Copyright: Sun Microsystems, Inc. 2001
BuildArchitectures: i386 mips mipsel
Group: Base
Release: 5
Source: panel-utils.tar.gz
BuildRoot: /tmp/buildpanel

%description
This package contains the utility programs used for getting input and
displaying output to the LCD console.

%changelog

* Thu Apr 17 2002 Chris Johnson <cj.johnson@sun.com>
- changes to open source panelutils
- tweak to specfile to fix RPM build

* Mon Dec 4 2000 Timothy Stonis <tim@cobalt.com>

- 4.4-2
- Lock front panel support

* Thu Nov 16 2000 Patrick Bose <pbose@cobalt.com>
- 4.4-1
- add support for power button on raq5

* Thu Oct 19 2000 Adrian Sun <asun@cobalt.com>
- 4.3-1
- i2c changes. make panel-utils run-time compatible with either lcd type.

* Mon Oct 9 2000 Jeff Lovell <jlovell@cobalt.com>
- 4.2-9
- Delete lcdlock when lcdstop is called
- Added a call to lcd_stop() in lcdsleep

* Mon Sep 11 2000 Duncan Laurie <duncan@cobalt.com> 4.2-8
- enhanced symlink attack avoidance
- changed lockfile location from /tmp/ to /etc/locks/

* Fri Sep 8 2000 Jeff Lovell <jlovell@cobalt.com>
- 4.2-7
- Avoid symlink attacks with /tmp/.lcdlock

* Wed Jun 28 2000 Adrian Sun <asun@cobalt.com>
- 4.2-6
- fix for 255 ip addresses.

* Mon Jun 06 2000 Duncan Laurie <duncan@cobalt.com>
- 4.2-5
- beta or something

* Sun Apr 30 2000 Duncan Laurie <duncan@cobalt.com>
- 4.2-3
- strip leading whitespace from console menu choices

* Sun Apr 16 2000 Duncan Laurie <duncan@cobalt.com>
- 4.2-2
- don't call unnecessary network.cgi

* Fri Mar 31 2000 Duncan Laurie <duncan@cobalt.com>
- 4.2-1
- serial input for lcd-menu (with option -c)
- serial input for lcdstart

* Thu Dec  2 1999 Duncan Laurie <duncan@cobalt.com>
- 4.1-4
- real fix for lcdstart?

* Mon Nov 08 1999 Adrian Sun <asun@cobalt.com>
- 4.1-3
- fix for lcdstart.

* Wed Nov 03 1999 Duncan Laurie <duncan@cobalt.com>
- 4.1-2
- raq3-ja pre-alpha

* Fri Oct 22 1999 Adrian Sun <asun@cobaltnet.com>
- mondo rewrite and rev.

* Fri Oct 01 1999 Duncan Laurie <duncan@cobaltnet.com>
- remove japanese selection from the language menu

* Sat Sep 18 1999 Adrian Sun <asun@cobaltnet.com>
- make /dev/lcd writeable by the httpd group.

* Fri Sep 17 1999 Adrian Sun <asun@cobaltnet.com>
- fixed lcd-getip to deal with empty arguments.

* Wed Jul 08 1999 Duncan Laurie <duncan@cobaltnet.com>
- get locale info from /etc/cobalt/locale instead of /etc/LANGUAGE

* Tue Jul 07 1999 Timothy Stonis <tim@cobaltnet.com> 
- Initial creation

* Sun May 9 1999 Lyle Scheer <lyle@cobaltnet.com>
        - nearly total rewrite

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n panel-utils-pacifica 

%build
make

%install
PERLDIR=`perl -e 'pop @INC; print pop @INC'`
make install-utils PREFIX=${RPM_BUILD_ROOT} PERLDIR=$PERLDIR PERLVER=
mkdir -p ${RPM_BUILD_ROOT}/dev
#mkdir -p ${RPM_BUILD_ROOT}/usr/share/locale/en_US/LC_MESSAGES
#mkdir -p ${RPM_BUILD_ROOT}/usr/share/locale/ja_JP.SJIS/LC_MESSAGES
mknod ${RPM_BUILD_ROOT}/dev/lcd c 10 140

# install the messages
#msgfmt messages/en_US.po -o $RPM_BUILD_ROOT/usr/share/locale/en_US/LC_MESSAGES/panel-utils.mo
#msgfmt messages/ja_JP.po -o $RPM_BUILD_ROOT/usr/share/locale/ja_JP.SJIS/LC_MESSAGES/panel-utils.mo
echo "%attr (644,root,root) $PERLDIR/Cobalt/LCD.pm" >my_files
echo "%attr (775,root,httpd) /dev/lcd" >>my_files
echo "%attr (755,root,root) /sbin/lcd-write" >>my_files
echo "%attr (755,root,root) /sbin/lcd-swrite" >>my_files
echo "%attr (755,root,root) /sbin/led-write" >>my_files
echo "%attr (755,root,root) /sbin/lcdsleep" >>my_files
echo "%attr (755,root,root) /sbin/lcd-yesno" >>my_files
echo "%attr (755,root,root) /sbin/lcd-getip" >>my_files
echo "%attr (755,root,root) /sbin/lcd-flash" >>my_files
echo "%attr (755,root,root) /sbin/readbutton" >>my_files
echo "%attr (755,root,root) /sbin/link" >>my_files
echo "%attr (755,root,root) /sbin/linkstatus" >>my_files
echo "%attr (755,root,root) /sbin/lcd-menu" >>my_files
echo "%attr (755,root,root) /sbin/lcdstop" >>my_files
echo "%attr (755,root,root) /sbin/lcdstart" >>my_files
echo "%attr (755,root,root) /sbin/ruleflush" >>my_files
echo "%config %attr (755,root,root) /etc/rc.d/init.d/lcdsleep.init" >>my_files
echo "%config %attr (755,root,root) /etc/rc.d/init.d/lcd-showip" >>my_files
cat my_files

%files -f my_files

%post
/sbin/chkconfig --add lcdsleep.init
/sbin/chkconfig --level 0 lcdsleep.init off
/sbin/chkconfig --level 6 lcdsleep.init off
/sbin/chkconfig --level 3 lcdsleep.init on
if [ ! -d /etc/locks ]; then
	mkdir /etc/locks
	chmod 755 /etc/locks
fi

%clean
rm -rf $RPM_BUILD_ROOT
